Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155385 - gcj ICE with -O1/2/3 at make_edges at cfgbuild.c:327
Summary: gcj ICE with -O1/2/3 at make_edges at cfgbuild.c:327
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 19:40 UTC by Luca Barbieri
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-24 17:28:09 UTC


Attachments (Terms of Use)
eclipseServer/EclipseServer$ServerThread.class file (deleted)
2005-04-19 19:40 UTC, Luca Barbieri
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 20606 None None None Never

Description Luca Barbieri 2005-04-19 19:40:02 UTC
Description of problem:
gcj ICE with -O1/2/3 at make_edges at cfgbuild.c:327 when building the attached
file with gcj -O1 -c -findirect-dispatch

Version-Release number of selected component (if applicable):
gcc-java-4.0.0-0.42

How reproducible:
Always

Steps to Reproduce:
1. gcj -O1 -c -findirect-dispatch eclipseServer/EclipseServer\$ServerThread.class
  
Actual results:
eclipseServer/EclipseServer$ServerThread.java: In class
'eclipseServer.EclipseServer$ServerThread':
eclipseServer/EclipseServer$ServerThread.java: In method
'eclipseServer.EclipseServer$ServerThread.run()':
eclipseServer/EclipseServer$ServerThread.java:0: internal compiler error: in
make_edges, at cfgbuild.c:327
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Expected results:
It works.

Additional info:
The code attached is not part of any released software.

Comment 1 Luca Barbieri 2005-04-19 19:40:02 UTC
Created attachment 113371 [details]
eclipseServer/EclipseServer$ServerThread.class file


Note You need to log in before you can comment on or make changes to this bug.